Subject: bug#8856: bug#8851: 24.0.50; regression: special-display-frame is no longer dedicated

From: martin rudalics <[email-masked]>
Date: Fri, 17 Jun 2011 18:22:23 +0200

> Now, when I hit `C-x C-b' I get `*Buffer List*' in the same (regular) frame - it
 > just replaces the current buffer in its window.
 >
 > What should happen is that `*Buffer List*' gets popped up in its own,
 > special-display frame (separate frame, different frame properties from regular
 > frames).

So you somewhere have settings for this buffer in
`special-display-buffer-names' or `special-display-regexps'.  Why can't
you send me them?

 > Here is a recipe (you just need to download the same 2 files as for the recipe
 > for bug #8856).  In fact, my reply to you with the debugger info, in this #8851
 > thread, involves this same startup recipe.

I need a simple recipe from emacs -Q.  If you use an outside function in
any of these please use a dummy function I can run on both Emacs 23 and
Emacs 24 to see the differences.  If it's already difficult for you to
go through the debugger with your functions why do you think I can do
any better?  What I need are your settings wrt special-display-... and
the buffer in question.  Why can't you post these?

 > Wrt bug #8856 also, the same symptoms reported initially are still there (frame
 > selection/focus problem).
 >
 > Plus, now the special-display frame that I define for `*Completions*' is not
 > even used.  Instead, buffer/window `*Completions*' is shown in a regular frame.

Probably because `pop-up-frames' is t on your system so
`pop-up-frame-alist' prevails.  Again, what are the
special-display-... related values for *Completions*?

martin